package core.stlmes.server.sale.po;

import java.sql.ResultSet;
import java.sql.SQLException;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;

public class SlmBalanceMnySubtBean
{
	private String Sub_seq = "";
	private String Buyercode = "";
	private String Forecorpcode = "";
	private Double Money = 0.0;
	private String Money_type = "";
	private String Money_type_desc = "";
	private String Status_cd = "";
	private String Invoiceno = "";
	private String Create_name = "";
	private java.util.Date Create_time = null;
	private String Affrim_name = "";
	private java.util.Date Affrim_time = null;
	private String Remark = "";
	private String Create_dept = "";
	private String Buyername = "";
	private String Forecorpname = "";

	public String getBuyername()
	{
		return Buyername;
	}

	public void setBuyername(String buyername)
	{
		Buyername = buyername;
	}

	public String getForecorpname()
	{
		return Forecorpname;
	}

	public void setForecorpname(String forecorpname)
	{
		Forecorpname = forecorpname;
	}

	public String getSub_seq()
	{
		return Sub_seq;
	}

	public void setSub_seq(String subSeq)
	{
		Sub_seq = subSeq;
	}

	public String getBuyercode()
	{
		return Buyercode;
	}

	public void setBuyercode(String buyercode)
	{
		Buyercode = buyercode;
	}

	public String getForecorpcode()
	{
		return Forecorpcode;
	}

	public void setForecorpcode(String forecorpcode)
	{
		Forecorpcode = forecorpcode;
	}

	public Double getMoney()
	{
		return Money;
	}

	public void setMoney(Double money)
	{
		Money = money;
	}

	public String getMoney_type()
	{
		return Money_type;
	}

	public void setMoney_type(String moneyType)
	{
		Money_type = moneyType;
	}

	public String getMoney_type_desc()
	{
		return Money_type_desc;
	}

	public void setMoney_type_desc(String moneyTypeDesc)
	{
		Money_type_desc = moneyTypeDesc;
	}

	public String getStatus_cd()
	{
		return Status_cd;
	}

	public void setStatus_cd(String statusCd)
	{
		Status_cd = statusCd;
	}

	public String getInvoiceno()
	{
		return Invoiceno;
	}

	public void setInvoiceno(String invoiceno)
	{
		Invoiceno = invoiceno;
	}

	public String getCreate_name()
	{
		return Create_name;
	}

	public void setCreate_name(String createName)
	{
		Create_name = createName;
	}

	public java.util.Date getCreate_time()
	{
		return Create_time;
	}

	public void setCreate_time(java.util.Date createTime)
	{
		Create_time = createTime;
	}

	public String getAffrim_name()
	{
		return Affrim_name;
	}

	public void setAffrim_name(String affrimName)
	{
		Affrim_name = affrimName;
	}

	public java.util.Date getAffrim_time()
	{
		return Affrim_time;
	}

	public void setAffrim_time(java.util.Date affrimTime)
	{
		Affrim_time = affrimTime;
	}

	public String getRemark()
	{
		return Remark;
	}

	public void setRemark(String remark)
	{
		Remark = remark;
	}

	public String getCreate_dept()
	{
		return Create_dept;
	}

	public void setCreate_dept(String createDept)
	{
		Create_dept = createDept;
	}

	public static List<SlmBalanceMnySubtBean> convertResultSetToBeanList(
			ResultSet set) throws SQLException
	{
		List<SlmBalanceMnySubtBean> listbean = new ArrayList<SlmBalanceMnySubtBean>();
		SlmBalanceMnySubtBean bean = null;

		while (set.next())
		{
			bean = new SlmBalanceMnySubtBean();

			try
			{
				bean.setBuyername(( String)set.getObject("BUYERNAME"));
			}
			catch (java.lang.Exception ex)
			{
			}

			try
			{
				bean.setForecorpname(( String)set.getObject("FORECORPNAME"));
			}
			catch (java.lang.Exception ex)
			{
			}

			try
			{
				bean.setSub_seq(( String)set.getObject("SUB_SEQ"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setBuyercode(( String)set.getObject("BUYERCODE"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setForecorpcode(( String)set.getObject("FORECORPCODE"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setMoney( (( java.math.BigDecimal)set.getObject("MONEY") )
						.doubleValue());
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setMoney_type(( String)set.getObject("MONEY_TYPE"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setMoney_type_desc(( String)set
						.getObject("MONEY_TYPE_DESC"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setStatus_cd(( String)set.getObject("STATUS_CD"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setInvoiceno(( String)set.getObject("INVOICENO"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setCreate_name(( String)set.getObject("CREATE_NAME"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setCreate_time(( java.util.Date)set
						.getObject("CREATE_TIME"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setAffrim_name(( String)set.getObject("AFFRIM_NAME"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setAffrim_time(( java.util.Date)set
						.getObject("AFFRIM_TIME"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setRemark(( String)set.getObject("REMARK"));
			}
			catch (java.lang.Exception ex)
			{
			}
			try
			{
				bean.setCreate_dept(( String)set.getObject("CREATE_DEPT"));
			}
			catch (java.lang.Exception ex)
			{
			}
			listbean.add(bean);
		}

		try
		{
			set.close();

		}
		catch (java.lang.Exception ex)
		{
		}
		return (listbean.size() == 0 ) ? null : listbean;
	}

	public static SlmBalanceMnySubtBean convertHashMapToBean(HashMap hs)
	{
		SlmBalanceMnySubtBean bean = new SlmBalanceMnySubtBean();

		try
		{
			bean.setBuyername(( String)hs.get("BUYERNAME"));
		}
		catch (java.lang.Exception ex)
		{
		}

		try
		{
			bean.setForecorpname(( String)hs.get("FORECORPNAME"));
		}
		catch (java.lang.Exception ex)
		{
		}

		try
		{
			bean.setSub_seq(( String)hs.get("SUB_SEQ"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setBuyercode(( String)hs.get("BUYERCODE"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{

			bean.setForecorpcode(( String)hs.get("FORECORPCODE"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{

			double mny = core.stlmes.server.sale.util.Convert.getDouble(hs.get(
					"MONEY").toString());
			bean.setMoney(mny);
		}
		catch (java.lang.Exception ex)
		{
			System.out.println(ex.getMessage());
		}
		try
		{
			bean.setMoney_type(( String)hs.get("MONEY_TYPE"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setMoney_type_desc(( String)hs.get("MONEY_TYPE_DESC"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setStatus_cd(( String)hs.get("STATUS_CD"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setInvoiceno(( String)hs.get("INVOICENO"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setCreate_name(( String)hs.get("CREATE_NAME"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setCreate_time(( java.util.Date)hs.get("CREATE_TIME"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setAffrim_name(( String)hs.get("AFFRIM_NAME"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setAffrim_time(( java.util.Date)hs.get("AFFRIM_TIME"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setRemark(( String)hs.get("REMARK"));
		}
		catch (java.lang.Exception ex)
		{
		}
		try
		{
			bean.setCreate_dept(( String)hs.get("CREATE_DEPT"));
		}
		catch (java.lang.Exception ex)
		{
		}
		return bean;
	}
}
